Bug 1887778 - Add ContainerRuntimeConfig gatherer
Summary: Add ContainerRuntimeConfig gatherer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.0
Assignee: Marcell Sevcsik
QA Contact: psimovec
URL:
Whiteboard:
Depends On:
Blocks: 1891544 1891546
TreeView+ depends on / blocked
 
Reported: 2020-10-13 10:36 UTC by Marcell Sevcsik
Modified: 2021-02-24 15:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Collect ContainerRuntimeConfig Reason: Provide more information for support when troubleshooting. See https://issues.redhat.com/browse/INSIGHTOCP-84 Result: Insight-operator archive now contains config files for all ContainerRuntimeConfig
Clone Of:
: 1891544 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:25:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift insights-operator pull 216 0 None closed Bug 1887778: Adds ContainerRuntimeConfig gatherer 2021-02-12 10:58:19 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:26:00 UTC

Description Marcell Sevcsik 2020-10-13 10:36:40 UTC
Description of problem:

My cluster didn't have one by default so here is an example you can use to verify:
```yaml
apiVersion: machineconfiguration.openshift.io/v1
kind: ContainerRuntimeConfig
metadata:
 name: set-log-and-pid
spec:
 machineConfigPoolSelector:
   matchLabels:
     debug-crio: config-log-and-pid
 containerRuntimeConfig:
   pidsLimit: 2048
   logLevel: debug
```

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 psimovec 2020-10-15 09:54:33 UTC
Thanks for provided example resource, I have added it to cluster, and the  archive contains:

config/containerruntimeconfigs/set-log-and-pid.json

Also checked, if collision of written records is possible - if it is possible to create the same resource in different namespace, and it wasn't possible to me.

verified on 4.7.0-0.nightly-2020-10-15-011122

Comment 5 errata-xmlrpc 2021-02-24 15:25:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.